Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## APStudio.models
Class ConnectorBendpoint

    java.lang.Object
      |
      +--APStudio.models.ConnectorBendpoint

All Implemented Interfaces:
  org.eclipse.draw2d.Bendpoint, java.io.Serializable

public class ConnectorBendpoint
extends java.lang.Object
implements java.io.Serializable, org.eclipse.draw2d.Bendpoint

Author:
  rajags To change the template for this generated type comment go to Window>Preferences>Java>Code Generation>Code and Comments
See Also:
  Serialized Form

Constructor Summary
`ConnectorBendpoint()`

Method Summary
`org.eclipse.draw2d.geometry.Dimension` | `getFirstRelativeDimension()`
`org.eclipse.draw2d.geometry.Point` | `getLocation()`
`org.eclipse.draw2d.geometry.Dimension` | `getSecondRelativeDimension()`
`float` | `getWeight()`
`void` | `setRelativeDimensions(org.eclipse.draw2d.geometry.Dimension dim1, org.eclipse.draw2d.geometry.Dimension dim2)`
`void` | `setWeight(float w)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectorBendpoint

    public ConnectorBendpoint()

Method Detail

### getLocation

    public org.eclipse.draw2d.geometry.Point getLocation()

  Specified by:
    `getLocation` in interface `org.eclipse.draw2d.Bendpoint`

### getFirstRelativeDimension

    public org.eclipse.draw2d.geometry.Dimension getFirstRelativeDimension()

### getSecondRelativeDimension

    public org.eclipse.draw2d.geometry.Dimension getSecondRelativeDimension()

### getWeight

    public float getWeight()

### setRelativeDimensions

    public void setRelativeDimensions(org.eclipse.draw2d.geometry.Dimension dim1,
                                      org.eclipse.draw2d.geometry.Dimension dim2)

### setWeight

    public void setWeight(float w)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD